Subject: Re: [PATCH v3 0/9] submodule: convert the rest of 'update' to C

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Dec 2021 11:00:30 -0800

Emily Shaffer <[email-masked]> writes:

> On Wed, Oct 13, 2021 at 05:05:58PM -0700, Junio C Hamano wrote:
>> 
>> Atharva Raykar <[email-masked]> writes:
>> 
>> > I have attempted to make a version of this series that is based on that topic [2],
>> > and added the superproject gitdir caching code in C [3]. It passes the tests,
>> > but I am not too confident about its correctness. I hope that branch can be
>> > helpful in some way.
>> ..
>> The "C rewrite" of the code [3] that unconditionally sets of the
>> submodule.superprojectgitdir varible seems straightforward enough.
>> 
>> Emily, how solid do you think your "superproject aware submodule"
>> topic already is?  Would it be stable enough to build other things
>> on top, or is it a bit too premature?
>
> As of the version I sent today
> (https://lore.kernel.org/git/20211014203416.2802639-1-emilyshaffer%40google.com)
> I think it is stable enough to build on top of. There was general
> consensus on the semantics of submodule.superprojectgitdir as it's sent
> in v4.

Does the above statement still hold true today?

And more importantly, Atharva, are you on board with the plan Emily
suggested to have this one built on top of her series?

Thanks.